: Class FrameBrowser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class FrameBrowser

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Canvas
                  |
                  +--org.w3c.tools.widgets.TreeBrowser
                        |
                        +--org.w3c.jigadm.editors.FrameBrowser

public class FrameBrowser
extends TreeBrowser
implements NodeHandler

See Also:
  Serialized Form

Field Summary
`static boolean` | `debug`

Fields inherited from class org.w3c.tools.widgets.TreeBrowser
`fontHeight, items, MULTIPLE, SCROLLBARS_ALWAYS, SCROLLBARS_ASNEEDED, selection, selectionPolicy, SINGLE, topItem, visibleItemCount`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`FrameBrowser(FrameTreeListener tl, RemoteResourceWrapper rrw)`

Method Summary
`protected void` | `errorPopup(java.lang.String name, java.lang.Exception ex)`
`java.lang.String` | `getFrameName(RemoteResource frame)` Get the pretty ResourceFrame name
`java.lang.String` | `getFrameName(RemoteResource frame, java.lang.String name)` Get the pretty ResourceFrame name
`protected boolean` | `getLock()` gets a lock to avoid adding node while removing other nodes it sets also the Cursor to WAIT_CURSOR
`java.awt.Dimension` | `getPreferredSize()`
`protected RemoteResourceWrapper` | `getResources(RemoteResourceWrapper rw, java.lang.String name)`
`RemoteResourceWrapper` | `getRootWrapper()` give the Root Resource of the browser
`void` | `insertNode(RemoteResourceWrapper father, RemoteResourceWrapper son)`
`void` | `insertNode(RemoteResourceWrapper father, RemoteResourceWrapper son, java.lang.String name)`
`boolean` | `isDirectory(TreeBrowser browser, TreeNode nd)` Checks if the node is a directory.
`void` | `notifyCollapse(TreeBrowser browser, TreeNode node)` Handles Collapse notifications we simply collapse the given node and repaint the browser.
`void` | `notifyExecute(TreeBrowser browser, TreeNode node)` Handles Select notifications.
`void` | `notifyExpand(TreeBrowser browser, TreeNode nd)` Notifies that a node has to be expanded.
`void` | `notifyExpander(TreeBrowser browser, TreeNode nd)` Handles Expand notifications if the node is a directory, we list its content and insert the directories and files in the browser.
`void` | `notifySelect(TreeBrowser browser, TreeNode nd)` Notifies that a node has to be selected.
`void` | `removeNode(RemoteResourceWrapper rw)`
`void` | `renameNode(RemoteResourceWrapper rw, java.lang.String label)`
`void` | `setCursor(int cursor)`
`protected void` | `unlock()` release the lock and sets the Cursor to the default

Methods inherited from class org.w3c.tools.widgets.TreeBrowser
`adjustmentValueChanged, collapse, getNode, getParent, getSelectionPolicy, initialize, insert, itemAt, paint, remove, removeBranch, select, selection, setHorizontalScrollbar, setScrollbarDisplayPolicy, setSelectionBackgroudColor, setSelectionFontColor, setSelectionPolicy, setVerticalScrollbar, unselect, unselectAll, update`

Methods inherited from class java.awt.Canvas
`addNotify`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### debug

    public static final boolean debug

Constructor Detail

### FrameBrowser

    public FrameBrowser(FrameTreeListener tl,
                        RemoteResourceWrapper rrw)

Method Detail

### errorPopup

    protected void errorPopup(java.lang.String name,
                              java.lang.Exception ex)

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Overrides:
    getPreferredSize in class TreeBrowser

### setCursor

    public void setCursor(int cursor)

### getLock

    protected boolean getLock()

  gets a lock to avoid adding node while removing other nodes it sets also the Cursor to WAIT_CURSOR

### unlock

    protected void unlock()

  release the lock and sets the Cursor to the default

### getRootWrapper

    public RemoteResourceWrapper getRootWrapper()

  give the Root Resource of the browser

### renameNode

    public void renameNode(RemoteResourceWrapper rw,
                           java.lang.String label)

### removeNode

    public void removeNode(RemoteResourceWrapper rw)

### insertNode

    public void insertNode(RemoteResourceWrapper father,
                           RemoteResourceWrapper son)

### insertNode

    public void insertNode(RemoteResourceWrapper father,
                           RemoteResourceWrapper son,
                           java.lang.String name)

### getResources

    protected RemoteResourceWrapper getResources(RemoteResourceWrapper rw,
                                                 java.lang.String name)

### notifySelect

    public void notifySelect(TreeBrowser browser,
                             TreeNode nd)

  Description copied from interface: NodeHandler
  Notifies that a node has to be selected.
  Specified by:
    notifySelect in interface NodeHandler
  Tags copied from interface: NodeHandler
  Parameters:
    `browser` - the TreeBrowser sending the notification.

### notifyExecute

    public void notifyExecute(TreeBrowser browser,
                              TreeNode node)

  Handles Select notifications. we simply select the node and redraw the browser.
  Specified by:
    notifyExecute in interface NodeHandler
  Tags copied from interface: NodeHandler
  Parameters:
    `browser` - the TreeBrowser sending the notification.

### notifyExpand

    public void notifyExpand(TreeBrowser browser,
                             TreeNode nd)

  Description copied from interface: NodeHandler
  Notifies that a node has to be expanded.
  Specified by:
    notifyExpand in interface NodeHandler
  Tags copied from interface: NodeHandler
  Parameters:
    `browser` - the TreeBrowser sending the notification.

### isDirectory

    public boolean isDirectory(TreeBrowser browser,
                               TreeNode nd)

  Description copied from interface: NodeHandler
  Checks if the node is a directory.
  Specified by:
    isDirectory in interface NodeHandler
  Tags copied from interface: NodeHandler
  Parameters:
    `browser` - the TreeBrowser sending the notification.

### getFrameName

    public java.lang.String getFrameName(RemoteResource frame,
                                         java.lang.String name)
                                  throws RemoteAccessException

  Get the pretty ResourceFrame name
  Parameters:
    `frame` - The ResourceFrame
    `name` - The ResourceFrame name
  Throws:
    RemoteAccessException - if a remote access error occurs.

### getFrameName

    public java.lang.String getFrameName(RemoteResource frame)
                                  throws RemoteAccessException

  Get the pretty ResourceFrame name
  Parameters:
    `frame` - The ResourceFrame
  Throws:
    RemoteAccessException - if a remote access error occurs.

### notifyExpander

    public void notifyExpander(TreeBrowser browser,
                               TreeNode nd)

  Handles Expand notifications if the node is a directory, we list its content and insert the directories and files in the browser.

### notifyCollapse

    public void notifyCollapse(TreeBrowser browser,
                               TreeNode node)

  Handles Collapse notifications we simply collapse the given node and repaint the browser.
  Specified by:
    notifyCollapse in interface NodeHandler
  Tags copied from interface: NodeHandler
  Parameters:
    `browser` - the TreeBrowser sending the notification.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD